using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Inventory.ProductGroup.Cqrs;

public class CreateProductGroupValidator : AbstractValidator<CreateProductGroupRequest>
{
    public CreateProductGroupValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Group Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}